org.apache.felix.ipojo.composite.service.provides

## Class SpecificationMetadata

- java.lang.Object
- - org.apache.felix.ipojo.composite.service.provides.SpecificationMetadata

    public class SpecificationMetadata
    extends java.lang.Object

Represent a service specification.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`SpecificationMetadata(java.lang.Class clazz, java.lang.String type, ProvidedServiceHandler psd)` Constructor.
`SpecificationMetadata(java.lang.String name, org.osgi.framework.BundleContext context, boolean isAggregate, boolean isOptional, ProvidedServiceHandler psd)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getComponentType()`
`MethodMetadata` `getMethodByName(java.lang.String name)` Get a method by its name.
`java.util.List` `getMethods()`
`java.lang.String` `getName()`
`boolean` `isAggregate()`
`boolean` `isInterface()`
`boolean` `isOptional()`
`void` `setIsOptional(boolean optional)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpecificationMetadata

    public SpecificationMetadata(java.lang.String name,
                                 org.osgi.framework.BundleContext context,
                                 boolean isAggregate,
                                 boolean isOptional,
                                 ProvidedServiceHandler psd)

Constructor.

Parameters:
  `name` - : specification name.
  `context` - : bundle context.
  `isAggregate` - : is the specification aggregate.
  `isOptional` - : is the specification optional.
  `psd` - : the handler.

#### SpecificationMetadata

    public SpecificationMetadata(java.lang.Class clazz,
                                 java.lang.String type,
                                 ProvidedServiceHandler psd)

Constructor.

Parameters:
  `clazz` - : class
  `type` - : component type
  `psd` - : the parent handler

### Method Detail

#### getName

    public java.lang.String getName()

#### getMethods

    public java.util.List getMethods()

#### getMethodByName

    public MethodMetadata getMethodByName(java.lang.String name)

Get a method by its name.

Parameters:
  `name` - : method name
Returns:
  the method metadata contained in the current specification with the given name. Null if the method is not found.

#### isAggregate

    public boolean isAggregate()

#### isOptional

    public boolean isOptional()

#### isInterface

    public boolean isInterface()

#### setIsOptional

    public void setIsOptional(boolean optional)

#### getComponentType

    public java.lang.String getComponentType()